"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.databaseFactory = void 0;
const orm_1 = require("@deepkit/orm");
const sqlite_adapter_1 = require("../src/sqlite-adapter");
const fs_1 = require("fs");
const path_1 = require("path");
const databaseFactory = async (entities) => {
    const adapter = new sqlite_adapter_1.SQLiteDatabaseAdapter(path_1.join(fs_1.mkdtempSync('/tmp/', 'utf8'), 'db.sqlite'));
    const database = new orm_1.Database(adapter);
    if (entities)
        database.registerEntity(...entities);
    await adapter.createTables([...database.entities]);
    return database;
};
exports.databaseFactory = databaseFactory;
//# sourceMappingURL=factory.js.map