import { Database } from '@deepkit/orm';
import { SQLiteDatabaseAdapter } from '../src/sqlite-adapter';
import { mkdtempSync } from 'fs';
import { join } from 'path';
export const databaseFactory = async (entities) => {
    const adapter = new SQLiteDatabaseAdapter(join(mkdtempSync('/tmp/', 'utf8'), 'db.sqlite'));
    const database = new Database(adapter);
    if (entities)
        database.registerEntity(...entities);
    await adapter.createTables([...database.entities]);
    return database;
};
//# sourceMappingURL=factory.js.map